### Method

# Foundry Sdk discover_shell

#### Declaration [src]

    DexFuture*
    foundry_sdk_discover_shell (
      FoundrySdk* self
    )

#### Description [src]

Tries to discover the shell to use within the SDK.

This will look at the users preferred shell and try to locate that within the container environment.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.